baseline.modpolyfit {baseline} | R Documentation

## Modified polynomial fitting

### Description

An implementation of CHAD A. LIEBER and ANITA MAHADEVAN-JANSENs algorithm for polynomial fiting

### Usage

    baseline.modpolyfit(spectra, t, degree = 4, tol = 0.001, rep = 100)

### Arguments

`spectra` | Matrix with spectra in rows
`t` | Optional vector of spectrum abcissa
`degree` | Degree of polynomial
`tol` | Tolerance of difference between iterations
`rep` | Maximum number of iterations

### Details

Polynomial fitting with baseline suppression relative to original spectrum

### Value

`baseline` | Matrix of baselines corresponding to spectra `spectra`
`corrected` | Matrix of baseline corrected spectra

### Author(s)

Kristian Hovde Liland and Bjørn-Helge Mevik

### References

CHAD A. LIEBER and ANITA MAHADEVAN-JANSEN: Automated Method for Subtraction of Fluorescence from Biological Raman Spectra

### Examples

    data(milk)
    bc.modpolyfit <- baseline(milk$spectra[1,, drop=FALSE], method='modpolyfit', deg=6)
    ## Not run:
    	plot(bc.modpolyfit)

    ## End(Not run)

[Package baseline version 1.2-1 Index]